VariableField (marc4j)
Keywords: org.marc4j.marc.VariableField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marc
Class VariableField

    java.lang.Object
      org.marc4j.marc.VariableField

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ControlField, DataField

public abstract class VariableField
extends Object
implements Serializable

`VariableField` defines general behaviour for variable fields.

According to the MARC standard the variable fields follow the leader and the directory in the record and consist of control fields and data fields. Control fields precede data fields in the record and are arranged in the same sequence as the corresponding entries in the directory.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `ControlField`, `DataField`, Serialized Form

Field Summary
`static char` | `FT` The field terminator

Constructor Summary
`VariableField()` Default constructor.
`VariableField(String tag)` Creates a new `VariableField` for the supplied tag.

Method Summary
`String` | `getTag()` Returns the tag name.
`void` | `setTag(String tag)` Registers the tag name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FT

    public static final char FT

  The field terminator

  See Also:
    Constant Field Values

Constructor Detail

### VariableField

    public VariableField()

  Default constructor.

### VariableField

    public VariableField(String tag)

  Creates a new `VariableField` for the supplied tag.

Parameters:
  `tag` - the tag name

Method Detail

### setTag

    public void setTag(String tag)

  Registers the tag name.

  Parameters:
    `tag` - the tag name

### getTag

    public String getTag()

  Returns the tag name.

  Returns:
    `String` - the tag name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.